%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate cxx

Name:           rust-cxx
Version:        1.0.123
Release:    1%{?dist}
Summary:        Safe interop between Rust and C++

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cxx
Source0:         %{crates_source}
Patch:          cxx-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Safe interop between Rust and C++.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/compile_flags.txt
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+c++14-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+c++14-devel %{_description}

This package contains library source intended for building other packages which
use the "c++14" feature of the "%{crate}" crate.

%files       -n %{name}+c++14-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+c++17-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+c++17-devel %{_description}

This package contains library source intended for building other packages which
use the "c++17" feature of the "%{crate}" crate.

%files       -n %{name}+c++17-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+c++20-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+c++20-devel %{_description}

This package contains library source intended for building other packages which
use the "c++20" feature of the "%{crate}" crate.

%files       -n %{name}+c++20-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.123-1
- initial build
